classification
Title: Wrong signature of TextTestRunner's init function
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.3, Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: Yogesh.Chaudhari, docs@python, ezio.melotti, michael.foord, piotr.dobrogost, python-dev
Priority: normal Keywords: easy, patch

Created on 2013-04-29 21:06 by piotr.dobrogost, last changed 2013-05-07 06:47 by ezio.melotti. This issue is now closed.

Files
File name Uploaded Description Edit
mywork.patch Yogesh.Chaudhari, 2013-05-02 12:38 Fix for documentation of TextTestRunner's init review
Messages (4)
msg188104 - (view) Author: Piotr Dobrogost (piotr.dobrogost) Date: 2013-04-29 21:06
TextTestRunner's init as of 3.3.1 has (http://hg.python.org/cpython/file/d9893d13c628/Lib/unittest/runner.py#l128) the following parameters:
stream, descriptions, verbosity, failfast, buffer, resultclass, warnings whereas docs (http://docs.python.org/3.3/library/unittest.html?highlight=unittest#loading-and-running-tests) show only the following parameters:
stream, descriptions, verbosity, runnerclass, warnings

'Failfast' and 'buffer' parameters are missing in the docs and there's 'runnerclass' parameter instead of 'resultclass' parameter.
msg188262 - (view) Author: Yogesh Chaudhari (Yogesh.Chaudhari) * Date: 2013-05-02 12:38
The changes in Docs/library/unittest.rst have been made to reflect proper arguments from Lib/unittest/runner.py
msg188622 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-05-07 06:47
New changeset 5dd076d441ec by Ezio Melotti in branch '3.3':
#17871: fix unittest.TextTestRunner signature in the docs.  Patch by Yogesh Chaudhari.
http://hg.python.org/cpython/rev/5dd076d441ec

New changeset 15ed67602ddf by Ezio Melotti in branch 'default':
#17871: merge with 3.3.
http://hg.python.org/cpython/rev/15ed67602ddf
msg188623 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-05-07 06:47
Fixed, thanks for the patch!
History
Date User Action Args
2019-03-18 12:40:51cheryl.sabellalinkissue12622 superseder
2013-05-07 06:47:54ezio.melottisetstatus: open -> closed
versions: + Python 3.3
messages: + msg188623

assignee: docs@python -> ezio.melotti
resolution: fixed
stage: needs patch -> resolved
2013-05-07 06:47:18python-devsetnosy: + python-dev
messages: + msg188622
2013-05-02 12:38:07Yogesh.Chaudharisetfiles: + mywork.patch

nosy: + Yogesh.Chaudhari
messages: + msg188262

keywords: + patch
2013-04-29 21:16:38ezio.melottisetkeywords: + easy
type: enhancement
stage: needs patch
2013-04-29 21:06:32piotr.dobrogostcreate